@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');

.euronder-form-front {
    position: relative;
    background: rgba(255,255,255,0.8);
    color: #000;
    padding: 1em;
    border-radius: 1em;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}

div.euronder-form-front form label {
    color: #202020;
}

/* Shadow for input fields */
.euronder-form-front form input,
.euronder-form-front div.number-container,
.euronder-form-front button {
    box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
}

.euronder-form-front form input {
    border-radius: 2em;
}

.euronder-form-front p,
.euronder-form-front .arvioitu-era {
    color: #202020;
    font-weight: normal;
}

.euronder-form-front button {
    width: 40%;
    min-width: 150px;
    border: none;
    outline: none;
    background-color: #f59b43 !important;
    color: #fff;
    border-radius: 0.5em;
    margin: 0 0 0 0;
    padding: 0;
}

.euronder-form-front form {
    margin-bottom: 0;
}

.euronder-form-front form p {
    font-size: 0.75em;
}

.euronder-form-front input {
    border-radius: 2em;
}

.euronder-form-front .color-orange {
    color: #f59b43;
}

.euronder-form-front .color-black {
    color: #000000;
}

.euronder-form-front .text-grey2 {
    color: #555;
}

.euronder-form-front .text-tight {
    line-height: 1.2;
}

.euronder-form-front .text-grey {
    color: #888;
}

.euronder-form-front .text-center {
    text-align: center;
}

.euronder-form-front .orange-light {
    color: #f59b43;
}

.euronder-form-front button:hover {
    background: #ffa54d !important;
}

.euronder-form-front .slider-text {
    text-align: center;
    color: #777;
    font-size: 1.3em;
}

.euronder-form-front .form-control {
    flex: 1;
    min-width: 150px;
    display: flex;
    flex-direction: column;
    column-gap: 1em;
    gap: 0;
    padding-bottom: 0.1em;
}

.euronder-form-front .form-control:has(input[type="email"]),
.euronder-form-front .form-control:has(input[type="tel"]) {
/*    min-width: 15em;*/
}


.euronder-form-front label {
    color: #555;
    font-family: Poppins, sans-serif;
    margin-bottom: 0;
}

.euronder-form-front .slider-container {
    display: flex;
    flex-direction: row;
    align-items: center;
    flex-wrap: wrap;
    /*gap: 20px;*/
}

.euronder-form-front .slider-container .item {
    flex: 1 !important;
}

.euronder-form-front .item-small {
    flex: 0 1 auto;
    min-width: unset;
}

.euronder-form-front .flex-row {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    column-gap: 0.5em;
}

.euronder-form-front .slider-container input {
    overflow-y: visible;
    flex: 1;
}

.euronder-form-front div.number-container {
    min-width: 150px;
    border: none;
    background: linear-gradient(to right, #fafafa calc(100% - 3em), #f59b43 calc(100% - 3em));
    border-radius: 2em;
    display: flex;
}

.euronder-form-front div.number-container > input[type="number"] {
    width: 100%;
    margin: 0;
    border: 0;
    outline: 0;
    background: transparent;
    padding-right: 3em;
    box-shadow: none;
}

.euronder-form-front div.number-container > input[type="number"], div.number-container > input[type="number"]:focus {
    outline: none !important;
    background: transparent;
    padding: 0;
}

/* Piilota input kentän nuolivalitsimet */
.euronder-form-front div.number-container > input::-webkit-outer-spin-button,
.euronder-form-front div.number-container > input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Piilota input kentän nuolivalitsimet - Firefox */
.euronder-form-front div.number-container > input[type=number] {
    -moz-appearance: textfield;
}

.euronder-form-front .currency-symbol {
    margin-right: 1.3em; /* Voit säätää marginaalin sopivaksi tarpeittesi mukaan */
    align-self: center; /* Asettaa €-merkin vertikaalisesti keskelle */
    color: #fff;
}

.euronder-form-front .slider {
    -webkit-appearance: none;
    height: 0.8em;
    background: #d3d3d3;
    outline: none;
    opacity: 1;
    -webkit-transition: .2s;
    transition: opacity .2s;
    margin: 0.5em;
}

.euronder-form-front input[type="range"] {
    border: none;
}


.euronder-form-front .slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 25px;
    height: 25px;
    border-radius: 50%;
    background: radial-gradient(circle, white 25%, #f59b43 25%);
    cursor: pointer;
}

.euronder-form-front .slider::-webkit-slider-thumb:hover {
    box-shadow: 0 0 0 13px rgba(255, 85, 0, .2)
}

.euronder-form-front .slider::-moz-range-thumb {
    width: 25px;
    height: 25px;
    border-radius: 50%;
    background: #04AA6D;
    cursor: pointer;
}

.euronder-form-front .text-align-center {
    text-align: center;
}

.euronder-form-front .visually-hidden {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}

.euronder-form-front div.spacer-xs {
    height: 0.5em;
}

.euronder-form-front .text-arvioitu-era {
    font-weight: bold;
}

@media only screen and (max-width: 576px) {
    .center-summary-form .euronder-form-front .arvioitu-era,
    .center-summary-form .euronder-form-front .arvio-kustannukset,
    .center-summary-form .euronder-form-front button[type="submit"] {
        text-align: center;
        margin-left: auto;
        margin-right: auto;
    }
}

.euronder-form-front input[type=checkbox] {
    box-shadow: none;
    width: 1.5rem;
    height: 1.5rem;
}

.euronder-form-front .margin-bottom-xs {
    margin-bottom: 0.2rem;
}

.euronder-form-front div.bullet {
    font-size: 0.75rem;
}

.euronder-form-front div.bullet ul {
    padding-top: 1em;
    list-style-type: none;
    display: flex;
    flex-wrap: wrap;
    justify-content: left;
    column-gap: 0;
    margin-bottom: 0;
}

.euronder-form-front div.bullet li {
    min-width: 180px;
    flex: 1;
    margin-left: 0;
    margin-right: 0;
    text-align: left; 
    margin-bottom: 10px; 
    white-space: nowrap;
}

.euronder-form-front div.bullet i {
    display: inline-block;
    margin-right: 5px;
    color: green;
    font-size: 1.5em;
}

.euronder-form-front .margin-bottom-0 {
    margin-bottom: 0;
}

.euronder-form-front .margin-top-0 {
    margin-top:0;
}

.euronder-form-front .column-gap-0 {
    column-gap: 0;
}


@media only screen and (min-width: 1024px) {
	div.euronder-form-front {
	    min-width:395px;
	}
}

@media only screen and (max-width: 420px) {
	.euronder-form-front div.bullet li {
		min-width:130px;
	}
}



@media only screen and (max-width: 576px) {
    .center-summary-form .euronder-form-front .arvioitu-era,
    .center-summary-form .euronder-form-front .arvio-kustannukset,
    .center-summary-form .euronder-form-front button[type="submit"] {
        text-align: center;
        margin-left: auto;
        margin-right: auto;
    }
}


.loading-overlay {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.9);
    z-index: 10;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
    border-radius: 1em;
    padding: 1em;
}

.loader {
    border: 4px solid rgba(0, 0, 0, 0.5);
    border-top: 4px solid #000;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    animation: spin 1s linear infinite;
}

#loading .textbox {
    margin-top: 3rem;
}

#loading p {
    /*color: #274699 !important;*/
    color: black;
    font-size: 2rem;
}

.pulsing-logo {
    width: 100px; /* Säädä koon mukaan */
    height: auto;
    animation: pulse 2s infinite;
    border-radius: 1rem;
}

@keyframes pulse {
    0% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.1);
    }
    100% {
        transform: scale(1);
    }
}


@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

span.dots {
    display: inline-block;
    width: 1em;
    text-align: left;
}

@keyframes dots {
    0%, 20% {
        content: '';
    }
    40% {
        content: '.';
    }
    60% {
        content: '..';
    }
    80%, 100% {
        content: '...';
    }
}

.dots::after {
    content: '';
    animation: dots 2s steps(4, end) infinite;
}
